libfishsound: deprecated.h File Reference

# deprecated.h File Reference

Deprecated interfaces. More...

Go to the source code of this file.

## Typedefs
typedef FishSoundDecoded_Float | FishSoundDecoded
| DEPRECATED TYPE.
## Functions
int | fish_sound_set_decoded_callback (FishSound *fsound, FishSoundDecoded decoded, void *user_data)
| DEPRECATED FUNCTION.
int | fish_sound_set_interleave (FishSound *fsound, int interleave)
| DEPRECATED FUNCTION.
long | fish_sound_encode (FishSound *fsound, float **pcm, long frames)
| DEPRECATED FUNCTION.

## Detailed Description

Deprecated interfaces.

## Typedef Documentation

typedef FishSoundDecoded_Float FishSoundDecoded

DEPRECATED TYPE.

Signature of a callback for libfishsound to call when it has decoded PCM audio data, and you want this provided as floats using the current interleave method as set by fish_sound_set_interleave().

## Function Documentation

long fish_sound_encode | ( | FishSound * | fsound,
|  | float ** | pcm,
|  | long | frames |
| ) |  |  |

DEPRECATED FUNCTION.

Encode a block of audio

Parameters:

  | fsound | A FishSound* handle (created with mode FISH_SOUND_ENCODE)
  | pcm | The audio data to encode
  | frames | A count of frames to encode

Returns:
  The number of frames encoded

Note:
  For multichannel audio, the audio data is interpreted according to the current PCM style

int fish_sound_set_decoded_callback | ( | FishSound * | fsound,
|  | FishSoundDecoded | decoded,
|  | void * | user_data |
| ) |  |  |

DEPRECATED FUNCTION.

Set the callback for libfishsound to call when it has a block of decoded PCM audio ready, and you want this provided as floats using the current interleave method as set by fish_sound_set_interleave(). This function, and fish_sound_set_interleave(), have been superceded by the typesafe fish_sound_set_decoded_TYPE() callbacks, such as fish_sound_set_decoded_float() or fish_sound_set_decoded_float_ilv().

Parameters:

  | fsound | A FishSound* handle (created with mode FISH_SOUND_DECODE)
  | decoded | The callback to call
  | user_data | Arbitrary user data to pass to the callback

Returns:
  0 on success, -1 on failure

int fish_sound_set_interleave | ( | FishSound * | fsound,
|  | int | interleave |
| ) |  |  |

DEPRECATED FUNCTION.

Set the PCM format used by a FishSound object. The default value is non-interleaved. Prior to libfishsound 0.7.0, you would (optionally) specify whether you wanted to receive interleaved or per-channel PCM data using fish_sound_set_interleave(), the default being per-channel (non-interleaved) PCM. Whether or not your decoded callback expects interleaved or non-interleaved data is now implied by the particular fish_sound_set_decoded_TYPE() method you use to set it, such as fish_sound_set_decoded_float() or fish_sound_set_decoded_float_ilv().

Parameters:

  | fsound | A FishSound* handle
  | interleave | Whether to use interleaved PCM or not. Valid values are 0 for non-interleaved, and 1 for interleaved.

Return values:

  | 0 | Success
  | -1 | Invalid fsound